# gds-popover - Angular

## Import

```typescript
import { GdsPopoverComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-popover>
  <!-- content -->
</gds-popover>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-ui-state` | `gdsUiState` | `(gdsUiState)="handler($event)"` |
